/*
 * con_border.c  - console border configuration
 * ( Sergey_Korshunoff@p5.f434.n5020.fidonet.org, 1997/03/09 )
 */

#include <sys/kd.h>
#include <stdio.h>

int
main(int argc, char *argv[]) {
    int fd;
    unsigned char parms[4] = { 1, 4, 0, 0 };

    if (argc < 2) {
  fprintf(stderr, "Linux console border configuration.\n");
  fprintf(stderr, "By default used as additional led to display AltGr keyboard
state.\n");
  fprintf(stderr, "usage: %s num1 [num2 [num3 [num4]]]\n",argv[0]);
  fprintf(stderr, "    num1 - enable/disable console border (1/0)\n");
  fprintf(stderr, "    num2 - color for 'on' state (0..255)\n");
  fprintf(stderr, "    num3 - color for 'off' state (0..255)\n");
  fprintf(stderr, "    num4 - swap scroll lock and AltGr leds (1/0)\n");
  exit(1);
    }

    if ((fd = open("/dev/console", 0)) < 0)
      fd = 0;

    if (argc > 1 ) parms[0] = atoi(argv[1]);
    if (argc > 2 ) parms[1] = atoi(argv[2]);
    if (argc > 3 ) parms[2] = atoi(argv[3]);
    if (argc > 4 ) parms[3] = atoi(argv[4]);

    if (ioctl(fd,KD_SET_BORDER,parms)) {
  perror("KD_SET_BORDER");
  exit(1);
    }
    else {
  fprintf(stderr,"OK\n");
        exit(0);
    }
}
